#!/bin/sh

DEBUG=0
PDIR=/usr/local/lexmark/z53
TMPFILE=`mktemp /tmp/lexmark.XXXXXX`

# lxgps is a little utility used to setup the
# Ghostscript parameters.  It sets two parameters
# in particular: resolution and paper size.  It
# determines what to set these to by reading the
# configuration file that is passed in.
GSPARMS=`$PDIR/lxacgsparm z53.conf`

runz53 ()
{
	cat > $TMPFILE
	file -b $TMPFILE | grep -i postscript > /dev/null
	if [ $? -eq 0 ] ; then
		gs -q -dNOPAUSE $GSPARMS -sDEVICE=ppmraw -sOutputFile=- $TMPFILE | $PDIR/z53 --config z53.conf --dotcounts
	else
		file -b $TMPFILE | grep -i PDF > /dev/null
		if [ $? -eq 0 ] ; then
			gs -q -dNOPAUSE $GSPARMS -sDEVICE=ppmraw -sOutputFile=- $TMPFILE | $PDIR/z53 --config z53.conf --dotcounts
		else
			enscript -B -o - $TMPFILE | gs -q -dNOPAUSE $GSPARMS -sDEVICE=ppmraw -sOutputFile=- - | $PDIR/z53 --output blackonly --config z53.conf --dotcounts
		fi
	fi
	/bin/rm -f $TMPFILE
}

runz53 2> /dev/null

